#!/bin/sh
#
# adapt to your requirements
#
DESTINATION=/usr/local/amt
LIBDIR=lib64
#
set -e
install -d -m 0755 $DESTINATION
git clone https://github.com/kkaempf/sblim-sfcc.git
cd sblim-sfcc
git reset --hard 4afcd398906552b969d8169c861759802cfa64b1
./autoconfiscate.sh
./configure --prefix=$DESTINATION --libdir=$DESTINATION/$LIBDIR
make
make install
cd ..
wget https://github.com/Openwsman/openwsman/archive/v2.4.3.tar.gz
tar xzf v2.4.3.tar.gz
cd openwsman-2.4.3
patch -p1 < ../openwsman-2.4.3.patch
mkdir -p build
cd build
cmake -D BUILD_PYTHON=0 -D BUILD_RUBY=0 -D BUILD_PERL=0 -D USE_PAM=0 \
	-D BUILD_JAVA=0 -D CMAKE_INSTALL_PREFIX=$DESTINATION \
	-D CMAKE_PREFIX_PATH=$DESTINATION/$LIBDIR \
	-D SFCC_INCLUDES=$DESTINATION/include ..
make
make install
cd ../..
#
# fetch, build, configure and install wsmancli
#
git clone https://github.com/Openwsman/wsmancli.git
cd wsmancli
git reset --hard 5139c278c7f99ad736f6483f4613640778d519a8
patch -p1 < ../wsmancli-env.patch
./bootstrap
env PKG_CONFIG_PATH=$DESTINATION/$LIBDIR/pkgconfig ./configure \
	--prefix=$DESTINATION
make
make install
cd ..
sed -e 's#__DEST__#'"$DESTINATION"'#g' -e 's#__LIB__#'"$LIBDIR"'#g' \
	wsamt.in > wsamt
install -m 755 wsamt $DESTINATION/bin/wsamt
echo "Build and install complete"
exit 0
